package painter.palette;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;

import javax.swing.ImageIcon;

@SuppressWarnings("serial")
public class SimpleIcon extends ImageIcon {

	private static final int SIZE = 16;
	private Color color;

	public SimpleIcon(Color color) {
		this.color = color;
	}

	public Color getColor() {
		return color;
	}

	@Override
	public int getIconHeight() {
		return SIZE;
	}

	@Override
	public int getIconWidth() {
		return SIZE;
	}

	@Override
	public synchronized void paintIcon(Component c, Graphics g, int x, int y) {
		// TODO Auto-generated method stub
		int w = c.getWidth();
		int h = c.getHeight();
		w = (w - SIZE) / 2;
		h = (h - SIZE) / 2;
		g.setColor(color);
		g.fillRect(w, h, SIZE, SIZE);
	}
}
